From 23bc2f764605a0adcaec76b4992de41769642c71 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: May 03 2016 05:46:43 +0000
Subject: [PATCH 472/1001] Let's provide the color of the notification as argument to Notificon


---

diff --git a/hubs/static/notificon.js b/hubs/static/notificon.js
index b7742a8..82322c8 100644
--- a/hubs/static/notificon.js
+++ b/hubs/static/notificon.js
@@ -106,7 +106,7 @@ licensed under the MIT license.
     document.getElementsByTagName('head')[0].appendChild(link);
   };
 
-  var drawLabel = function drawLabel(canvas, label, favicon) {
+  var drawLabel = function drawLabel(canvas, color, favicon) {
     var img = document.createElement('img');
     img.src = favicon;
 
@@ -124,7 +124,7 @@ licensed under the MIT license.
       var centerY = img.height - (img.height / 4.5) - lineWidth;
       var radius = img.width / 4.5;
 
-      context.fillStyle = _options.color;
+      context.fillStyle = color;
       context.strokeStyle = _options.lineColor;
       context.lineWidth = lineWidth;
 
@@ -147,7 +147,7 @@ licensed under the MIT license.
     return canvas;
   };
 
-  var createNotificon = function createNotificon(label, favicon) {
+  var createNotificon = function createNotificon(color, favicon) {
     if (!checkSupport()) {
         return false;
     }
@@ -158,8 +158,8 @@ licensed under the MIT license.
     img.src = favicon;
     img.onload = function() {
       var canvas = imgToCanvas(img);
-      if (label) {
-        drawLabel(canvas, label, favicon);
+      if (color) {
+        drawLabel(canvas, color, favicon);
       }
       try {
         changeFavicon(canvas);
@@ -178,8 +178,8 @@ licensed under the MIT license.
     };
   };
 
-  this.Notificon = function(label, favicon, options) {
+  this.Notificon = function(color, favicon, options) {
     _setOptions(options);
-    createNotificon(label, favicon);
+    createNotificon(color, favicon);
   };
 })();

